/*******************************************************************************
 * Copyright (c) 2000, 2010 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *     IBM Corporation - initial API and implementation
 *     John Kaplan, johnkaplantech@gmail.com - 108071 [code templates] template for body of newly created class
 *     Sebastian Davids, sdavids@gmx.de - 187316 [preferences] Mark Occurences Pref Page; Link to
 *     Benjamin Muskalla <b.muskalla@gmx.net> - [preferences] Add preference for new compiler warning: MissingSynchronizedModifierInInheritedMethod - https://bugs.eclipse.org/bugs/show_bug.cgi?id=245240
 *     Guven Demir <guven.internet+eclipse@gmail.com> - [package explorer] Alternative package name shortening: abbreviation - https://bugs.eclipse.org/bugs/show_bug.cgi?id=299514
 *******************************************************************************/
package jp.sourceforge.pdt_tools.codeChecker.preferences;

import org.eclipse.osgi.util.NLS;

public final class PreferenceMessages extends NLS {

	private static final String BUNDLE_NAME = "jp.sourceforge.pdt_tools.codeChecker.preferences.PreferenceMessages"; //$NON-NLS-1$

	private PreferenceMessages() {
	}

	public static String ProblemSeveritiesConfigurationBlock_needsbuild_title;
	public static String ProblemSeveritiesConfigurationBlock_needsfullbuild_message;
	public static String ProblemSeveritiesConfigurationBlock_needsprojectbuild_message;
	public static String ProblemSeveritiesConfigurationBlock_common_description;

	static {
		NLS.initializeMessages(BUNDLE_NAME, PreferenceMessages.class);
	}

	public static String ValidationPreferencePage_label;

	public static String ProblemSeveritiesPreferencePage_title;
	public static String ProblemSeveritiesConfigurationBlock_error;
	public static String ProblemSeveritiesConfigurationBlock_warning;
	public static String ProblemSeveritiesConfigurationBlock_ignore;
	public static String ProblemSeveritiesConfigurationBlock_section_code_style;
	public static String ProblemSeveritiesConfigurationBlock_section_potential_programming_problems;
	public static String ProblemSeveritiesConfigurationBlock_section_unnecessary_code;
	public static String ProblemSeveritiesConfigurationBlock_section_deprecations;
	public static String ProblemSeveritiesConfigurationBlock_section_name_shadowing;

	public static String ProblemSeveritiesConfigurationBlock_static_access_receiver_label;
	public static String ProblemSeveritiesConfigurationBlock_non_static_method_label;

	public static String ProblemSeveritiesConfigurationBlock_unresolved_types_label;
	public static String ProblemSeveritiesConfigurationBlock_unresolved_methods_label;
	public static String ProblemSeveritiesConfigurationBlock_unresolved_fields_label;
	public static String ProblemSeveritiesConfigurationBlock_unresolved_functions_label;
	public static String ProblemSeveritiesConfigurationBlock_redeclared_types_label;
	public static String ProblemSeveritiesConfigurationBlock_redeclared_methods_label;
	public static String ProblemSeveritiesConfigurationBlock_redeclared_fields_label;
	public static String ProblemSeveritiesConfigurationBlock_redeclared_functions_label;
	public static String ProblemSeveritiesConfigurationBlock_fall_through_case_label;
	public static String ProblemSeveritiesConfigurationBlock_missing_arguments_label;
	public static String ProblemSeveritiesConfigurationBlock_incompatible_method_label;
	public static String ProblemSeveritiesConfigurationBlock_override_final_method_label;
	public static String ProblemSeveritiesConfigurationBlock_include_not_found_label;
	public static String ProblemSeveritiesConfigurationBlock_uninitialized_variable_label;
	public static String ProblemSeveritiesConfigurationBlock_misc_error_label;
	public static String ProblemSeveritiesConfigurationBlock_misc_warning_label;
	public static String ProblemSeveritiesConfigurationBlock_misc_strict_label;

	public static String ProblemSeveritiesConfigurationBlock_deprecation_label;

	public static String ProblemSeveritiesConfigurationBlock_unused_local_label;
	public static String ProblemSeveritiesConfigurationBlock_unused_parameter_label;
	public static String ProblemSeveritiesConfigurationBlock_unused_private_label;

	public static String ProblemSeveritiesConfigurationBlock_realtime_detection;
}
